DCMTK - Bug #939

dcm2json/dcm2xml -nat (and library routines) produce invalid XML
2020-08-06 09:29 - Michael Onken

Status: Closed Start date: 2020-08-06
Priority: High Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Library and Apps Estimated time: 1:00 hour
Target version: 3.6.6

Module: dcmdata Compiler:

Operating System:

Description
Report from forum user Shaeto forum message:
Method DemPersonName::writeJson outputs incorrectly encoded data to the json document.

"Lexer" helper class does not encode characters and produces invalid json if patient name contains for example " (quotation mark)
imho Lexer::writeComponent must call something like DcmJsonFormat::printValueString.

History

#1 - 2020-08-06 09:37 - JOrg Riesmeier
- Priority changed from Normal to High

- Target version set to 3.6.6

#2 - 2020-08-06 22:15 - Jorg Riesmeier

The output of "decm2xml --native-format" also seems to be affected (see forum posting).

#3 - 2020-08-13 11:54 - Michael Onken

- Subject changed from decm2json (and library routines) produces invalid JSON to dem2json/dcm2xml -nat (and library routines) produce invalid XML

#4 - 2020-08-31 18:57 - Marco Eichelberg
- % Done changed from 0 to 50
- Estimated time set to 0:00 h

Json part of this bug fixed with commit #f817c890e.

#5 - 2020-11-13 18:18 - Marco Eichelberg
- % Done changed from 50 to 100
- Estimated time changed from 0:00 h to 1:00 h

Closed by commit #194562e8a.

#6 - 2020-11-13 18:18 - Marco Eichelberg
- Status changed from New to Closed

- Assignee set to Marco Eichelberg
